[Contents] [Prev] [Next] [Index] [Report an Error]

# ping mpls vpls

#### Syntax

ping mpls vpls [ vrf vrfName ] vplsName
[ sender-site-id senderSiteId ] remote-site-id remoteSiteId
[ destination startIpAddress endIpAddress increment ]
[ source address sourceAddr ] [ [ repeat ] packetCount]
[ ttl ttlValue ] [ timeout timeOutVal ]
[ data-size dataSize | sweep-sizes sweepMin sweepMax sweepInt ]
[ pad { ones | zeros | random | hex-data hexData } ]
[ reply mode { ipv4-udp | ipv4-udp-with-router-alert } ]
[ reply pad-tlv ] [ reply dscp trafficClass ]
[ interval txdelayVal ] [ exp-bits bitValue ] [ bottom-label-ttl bottomLabelTtl ]
[ detail ]

#### Release Information

Command introduced in JUNOSe Release 8.0.0.

#### Description

Sends an MPLS echo request packet to the specified VPLS instance. There is no no version.

The echo request packet generated by this command contains the layer 2 VPN endpoint sub-TLV described in RFC 4379—Detecting Multi-Protocol Label Switched (MPLS) Data Plane Failures (February 2006).

#### Options

- vrfName—Name of the VRF context from which to generate the ping
- vplsName—Name of a VPLS instance created with the bridge vpls transport-virtual-router command
- senderSiteId—Numerical identifier for the site sending the MPLS echo request packet; must be an unsigned 16-bit integer greater than zero that is unique across the VPLS domain
- remoteSiteId—Numerical identifier for the site receiving the MPLS echo request packet; must be an unsigned 16-bit integer greater than zero that is unique across the VPLS domain
- startIpAddress—First IP address within the 127.0.0.0/8 destination range
- endIpAddress—Last IP address within the 127.0.0.0/8 destination range
- increment—Number in the range 0–255 that specifies the increment between addresses in the destination address range
- sourceAddr—IP address used as the packet source address
- repeat—Specifies that multiple ping packets are sent
- packetCount—Number of packets to send to the destination address, in the range 0–4294967295; default value is 5; 0 means ping forever
- ttlValue—Hop count specified by setting the time-to-live field in the header, in the range 1–255; default value is 32; however, by default, the TTL on the inner (stacked) label is set to 1 while transmitting the echo request packet, which causes the packet to be exceptioned to the SRP module when the stacked label is exposed
- timeOutVal—Number of seconds, in the range 1–32 to wait for an MPLS echo reply packet before the connection attempt times out
- dataSize—Number of bytes comprising the MPLS packet, including the header, in the range 0–64000; default value is 100 bytes
- sweep-sizes—Configures payload sizes, enabling you to vary the sizes of the echo packets being sent. This capability is useful for determining the minimum sizes of the MTUs configured on the nodes along the path to the destination address. This reduces packet fragmentation which contributes to performance problems. The default is not to sweep; all packets are the same size.
  - sweepMin—Minimum payload size in the range 0–64000
  - sweepMax—Maximum payload size in the range 0–64000
  - sweepInt—Number of bytes to add to the size of the packet; the change in the size of subsequent ping packets while sweeping across a range of sizes. For example, you can configure the sweep interval to sweep across the range of packets from 0 bytes to 10,000 bytes in increments of sweepInt. By default, send 100, 101, 102, 103...1000. If sweepInt is 5, send 100, 105, 110, 115...1000). When “ sweeping,” the default interval is 1.
- pad—Specifies the type of bits contained in the pad TLV. You can set the bits to all ones, all zeros, a random mixture of ones and zeros, or a specific hexadecimal data pattern, in the range from 0x0–0xFFFFFFFF. The default data pattern is all zeros.
- reply mode—Specifies the reply mode for the echo request packet
  - ipv4-udp—Specifies that the echo request packet is an IPv4 UDP packet
  - ipv4-udp-with-router-alert—Specifies that the echo request packet is an IPv4 UDP packet with the router alert bit set in the header so all routers examine this packet more closely to determine whether further processing is necessary
- reply pad-tlv—Requests sender of an echo reply to send a pad TLV
- trafficClass—Number in the range 0–255 that represents the value of the traffic class that the sender of an echo reply is requested to set
- txDelayVal—Number of milliseconds in the range 1–50 between transmission of each echo request; default value is 10 ms
- bitValue—Value of the EXP bits in the range 0–7 included in the MPLS echo request packet
- bottomLabelTtl—Time-to-live value of the bottom label in the stack
- detail—Displays detailed information about MPLS echo request sent and echo replies received

#### Mode

Privileged Exec, User Exec

[Contents] [Prev] [Next] [Index] [Report an Error]